Systemimager 3.8.1 and ubuntu feisty fawn

To compile systemimager on Ubuntu I had to:

  • ln -sf bash /bin/sh
  • replace coreutils 5.9x with 6.3
  • touch /usr/include/linux/compiler.h
  • ln -s /usr/src/systemimager-3.8.1/src/linux-2.6.18.1/include/asm-i386/unaligned.h /usr/include/asm/
  • ln -sf /usr/bin/python2.4 /usr/bin/python
  • I was just making the install_client_all target so I bet there are more work arounds if you try to make all
    Also I did not try and install python2.5-dev and try to make it work…

    Leave a Reply